%define upstream_name Net_Whois
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.6
Release:     	%mkrel 2
Summary:    	Net_Whois class provides a tool to query internet domain name and network number directory services
License: 	PHP
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Net_Whois-%{version}.tgz
URL: 		http://pear.php.net/package/Net_Whois
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-Net_Socket
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
The PEAR::Net_Whois looks up records in the databases maintained by several
Network Information Centers (NICs).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Whois.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Whois.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Whois
fi

%files
%{peardir}/*
%{xmldir}/Net_Whois.xml


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 1.0.6-2.mga8
+ Revision: 1539584
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 mokraemer <mokraemer> 1.0.6-1.mga8
+ Revision: 1465312
- new version 1.0.6

* Wed Sep 19 2018 umeabot <umeabot> 1.0.5-7.mga7
+ Revision: 1273746
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.5-6.mga6
+ Revision: 939333
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-5.mga5
+ Revision: 744677
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 687400
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 517109
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 377089
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 spuhler <spuhler> 1.0.5-1.mga2
+ Revision: 199887
- upgrade to 1.0.5
  pearized spec file

* Sat Jan 29 2011 spuhler <spuhler> 1.0.4-1.mga1
+ Revision: 44015
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_Whois


* Sat Aug 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 569600
- update to new version 1.0.4

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 489155
- update to new version 1.0.2

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-3mdv2010.1
+ Revision: 468728
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.0.1-2mdv2010.0
+ Revision: 441497
- rebuild

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 1.0.1-1mdv2009.1
+ Revision: 324524
- update to new version 1.0.1

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0-9mdv2009.1
+ Revision: 322506
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-8mdv2009.0
+ Revision: 237021
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-7mdv2007.0
+ Revision: 82444
- Import php-pear-Net_Whois

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdk
- initial Mandriva package (PLD import)

